Package com.fasterxml.jackson.core.sym

# Class Name

java.lang.Object
com.fasterxml.jackson.core.sym.Name

Direct Known Subclasses:
  `Name1`, `Name2`, `Name3`, `NameN`

public abstract class Name extends Object
Base class for tokenized names (key strings in objects) that have been tokenized from byte-based input sources (like `InputStream`.

Author:
  Tatu Saloranta

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`_hashCode`
`protected final String`
`_name`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Name(String name, int hashCode)`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`equals(int q1)`
`abstract boolean`
`equals(int[] quads, int qlen)`
`abstract boolean`
`equals(int q1, int q2)`
`abstract boolean`
`equals(int q1, int q2, int q3)`
`boolean`
`equals(Object o)`
`String`
`getName()`
`final int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### _name

protected final String _name

### _hashCode

protected final int _hashCode

## Constructor Details

### Name

protected Name(String name, int hashCode)

## Method Details

### getName

public String getName()

### equals

public abstract boolean equals(int q1)

### equals

public abstract boolean equals(int q1, int q2)

### equals

public abstract boolean equals(int q1, int q2, int q3)

### equals

public abstract boolean equals(int[] quads, int qlen)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`